Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openxri.xml
Class SEPUri

    java.lang.Object
      org.openxri.xml.SEPUri

All Implemented Interfaces:
  java.io.Serializable

    public class SEPUri

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `APPEND_AUTHORITY`
`static java.lang.String` | `APPEND_LOCAL`
`static java.lang.String` | `APPEND_NONE`
`static java.lang.String` | `APPEND_PATH`
`static java.lang.String` | `APPEND_QUERY`
`static java.lang.String` | `APPEND_QXRI`
`static java.lang.String` | `DEFAULT_APPEND` If the "append" attribute is not present, its default value is `APPEND_LOCAL`.
`protected static org.apache.commons.logging.Log` | `soLog`

Constructor Summary
`SEPUri()` Creates an `EppXriURI` object
`SEPUri(java.lang.String uri)` Creates an `EppXriURI` object with a URI
`SEPUri(java.lang.String uri, int priority)` Creates an `EppXriURI` object with a URI and a priority value
`SEPUri(java.lang.String uri, java.lang.Integer priority, java.lang.String append)` Creates an `EppXriURI` object with a URI, a priority value and an append value.

Method Summary
`java.lang.Object` | `clone()`
`static SEPUri` | `fromXML(org.w3c.dom.Node root)` Converts an XML element into an `EppXriURI` object.
`java.lang.String` | `getAppend()` Gets the append attribute value
`java.lang.Integer` | `getPriority()` Gets the priority value for this URI
`java.net.URI` | `getURI()` Gets the URI
`java.lang.String` | `getUriString()` Gets the URI
`void` | `setAppend(java.lang.String append)` Sets the append attribute value
`void` | `setPriority(int priority)` Sets the priority value for this URI
`void` | `setPriority(java.lang.Integer priority)` Sets the priority value for this URI.
`void` | `setURI(java.net.URI uri)` Sets the URI
`void` | `setUriString(java.lang.String uriString)` Sets the URI
`java.lang.String` | `toString()`
`org.w3c.dom.Element` | `toXML(org.w3c.dom.Document doc, java.lang.String tag)` Converts the `EppXriURI` object into an XML element

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### APPEND_LOCAL

    public static final java.lang.String APPEND_LOCAL

See Also:
  Constant Field Values

### APPEND_AUTHORITY

    public static final java.lang.String APPEND_AUTHORITY

See Also:
  Constant Field Values

### APPEND_PATH

    public static final java.lang.String APPEND_PATH

See Also:
  Constant Field Values

### APPEND_QUERY

    public static final java.lang.String APPEND_QUERY

See Also:
  Constant Field Values

### APPEND_QXRI

    public static final java.lang.String APPEND_QXRI

See Also:
  Constant Field Values

### APPEND_NONE

    public static final java.lang.String APPEND_NONE

See Also:
  Constant Field Values

### soLog

    protected static org.apache.commons.logging.Log soLog

### DEFAULT_APPEND

    public static final java.lang.String DEFAULT_APPEND

  If the "append" attribute is not present, its default value is `APPEND_LOCAL`.

  See Also:
    Constant Field Values

Constructor Detail

### SEPUri

    public SEPUri()
           throws java.net.URISyntaxException

  Creates an `EppXriURI` object

  Throws:
    `java.net.URISyntaxException`

### SEPUri

    public SEPUri(java.lang.String uri)
           throws java.net.URISyntaxException

  Creates an `EppXriURI` object with a URI

  Throws:
    `java.net.URISyntaxException`

### SEPUri

    public SEPUri(java.lang.String uri,
                  int priority)
           throws java.net.URISyntaxException

  Creates an `EppXriURI` object with a URI and a priority value

  Throws:
    `java.net.URISyntaxException`

### SEPUri

    public SEPUri(java.lang.String uri,
                  java.lang.Integer priority,
                  java.lang.String append)
           throws java.net.URISyntaxException

  Creates an `EppXriURI` object with a URI, a priority value and an append value.

  Throws:
    `java.net.URISyntaxException`

Method Detail

### getUriString

    public java.lang.String getUriString()

  Gets the URI

### getURI

    public java.net.URI getURI()

  Gets the URI

### setUriString

    public void setUriString(java.lang.String uriString)

  Sets the URI

### setURI

    public void setURI(java.net.URI uri)

  Sets the URI

### getPriority

    public java.lang.Integer getPriority()

  Gets the priority value for this URI

### setPriority

    public void setPriority(int priority)

  Sets the priority value for this URI

### setPriority

    public void setPriority(java.lang.Integer priority)

  Sets the priority value for this URI. This method accepts a null object reference to indicate the absence of the attribute.

### getAppend

    public java.lang.String getAppend()

  Gets the append attribute value

### setAppend

    public void setAppend(java.lang.String append)

  Sets the append attribute value

### toXML

    public org.w3c.dom.Element toXML(org.w3c.dom.Document doc,
                                     java.lang.String tag)

  Converts the `EppXriURI` object into an XML element

  Parameters:
    `doc` - the XML `Document` object
    `tag` - the tag/element name for the `EppXriURI` object
  Returns:
    an `Element` object

### fromXML

    public static SEPUri fromXML(org.w3c.dom.Node root)
                          throws java.net.URISyntaxException

  Converts an XML element into an `EppXriURI` object. The caller of this method must make sure that the root node is of the EPP XRI uriAddType or uriInfType.

  Parameters:
    `root` - root node for an `EppXriURI` object in XML format
  Returns:
    an `EppXriURI` object, or null if the node is invalid
  Throws:
    `java.net.URISyntaxException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2009. All Rights Reserved.